Summary:        Python SPNEGO authentication library
Name:           python-spnego
Version:        0.9.2
Release:        1%{?dist}
License:        MIT
URL:            https://github.com/jborean93/pyspnego
Source:         %{pypi_source pyspnego}

BuildArch:      noarch

%description
Library to handle SPNEGO (Negotiate, NTLM, Kerberos) and CredSSP authentication.
Also includes a packet parser that can be used to decode raw NTLM/SPNEGO/Kerberos
tokens into a human readable format.


%package -n     python3-spnego
Summary:        Python SPNEGO authentication library
BuildRequires:  python3-devel python3dist(pytest) python3dist(pytest-mock)

%description -n python3-spnego
Library to handle SPNEGO (Negotiate, NTLM, Kerberos) and CredSSP authentication.
Also includes a packet parser that can be used to decode raw NTLM/SPNEGO/Kerberos
tokens into a human readable format.

%pyproject_extras_subpkg -n python3-spnego kerberos


%prep
%autosetup -n pyspnego-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files spnego


%check
%pytest -v tests


%files -n python3-spnego -f %{pyproject_files}
%doc README.md
%{_bindir}/pyspnego-parse


%changelog
* Mon Sep 25 2023 Miaojun Dong <zoedong@tencent.com> - 0.9.2-1
- Initial Build
